#!/usr/bin/python3

from collections import namedtuple

PromptCollection = namedtuple('PromptCollection', ['welcome_prompt', 'main_prompt', 'common_prompt', 'switch_prompt'])

prompt_collection_english = PromptCollection(
	'Welcome to speech transcription application', 
	'You said', 
	'Please speak', 
	'arabic'
	)
prompt_collection_arabic = PromptCollection(
	'مرحبًا بك في تطبيق نسخ الكلام', 
	'أنت قلت',
	'من فضلك تحدث',
	'إنجليزي'
	)


LangDescr = namedtuple('LangDescr', ['name', 'code', 'stt_service_uri', 'tts_service_uri', 'prompt_collection', 'switch_to'])

dict = {}
dict['English'] = LangDescr(
	'English', 
	'en-US', 
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1', 
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1', 
	prompt_collection_english,
	'Arabic')
dict['Arabic'] = LangDescr(
	'Arabic', 
	'ar-SA', 
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1', 
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1', 
	prompt_collection_arabic,
	'English')
