#!/usr/bin/python3

from collections import namedtuple

PromptCollection = namedtuple('PromptCollection', ['welcome_prompt', 'noinput_prompt', 'nomatch_prompt', 'error_prompt', 'openai_error_prompt', 'final_prompt', 'switch_prompt'])

prompt_collection_english = PromptCollection(
	'Welcome to Open AI speech portal. How can I help you?', 
	'Please speak', 
	'Please speak', 
	'Error', 
	'Open AI error',
	'Thank you. See you next time.',
	'If you would like to switch to the Arabic language, say Arabic'
	)
prompt_collection_arabic = PromptCollection(
	'مرحبًا بك في بوابة الكلام المفتوحة بالذكاء الاصطناعي. كيف يمكنني مساعدك؟', 
	'من فضلك تحدث',
	'من فضلك تحدث',
	'خطأ',
	'خطأ مفتوح',
	'شكرًا لك. أراك المرة القادمة.',
	'إذا كنت ترغب في التبديل إلى اللغة الإنجليزية، فقل الإنجليزية'
	)

LangDescr = namedtuple('LangDescr', ['name', 'code', 'stt_service_uri', 'tts_service_uri', 'openai_service_uri', 'prompt_collection', 'switch_keyword', 'switch_to'])

dict = {}
dict['English'] = LangDescr(
	'English', 
	'en-US', 
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1', 
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1',
	'http://localhost:8085/query',
	prompt_collection_english,
	'arabic',
	'Arabic')
dict['Arabic'] = LangDescr(
	'Arabic', 
	'ar-SA', 
	'', 
	'', 
	'http://10.46.133.56:8085/query',
	prompt_collection_arabic,
	'',
	'English')
