#!/usr/bin/python3

from collections import namedtuple

PromptCollection = namedtuple('PromptCollection', 
    [
	'welcome_prompt',
	'switch_prompt',
	'confirmation_prompt',
	'noinput_prompt',
	'nomatch_prompt',
	'error_prompt',
	'openai_error_prompt',
	'continuation_prompt',
	'final_prompt'
    ])

prompt_collection_english = PromptCollection(
	'Welcome to Etisalat by e-and  - powered by chat GPT',
	'If you would like to switch to the Arabic language, say Arabic',
	'English has been selected',
	'It looks like we could not hear you, kindly speak louder',
	'It looks like there is too much background noise, kindly move to a more quieter environment',
	'We are experiencing technical difficulties, kindly try later',
	'We are experiencing technical difficulties, kindly try later',
	'Is there anything else we can help with',
	'Thank you for using e-GPT by e-and'
	)
prompt_collection_arabic = PromptCollection(
	'أهْلًا بِكَ في إِتِّصَالَاتِ مِنْ e-and  -المدعوم بـ GPT', 
	'إذا كنت ترغب في التبديل إلى اللغة الإنجليزية، فقل الإنجليزية',
	'تَمَّ اخْتِيَارُ اللُّغَةِ العَرَبِيَّةِ كَلَغَتِكَ المُفَضَّلَة', 
	'يَبْدُو أَنَّنِي لَمْ أَتَمَكَّنْ مِنْ سَمَاعِكَ، رَجَاءً تَكَلَّمْ بِصَوْتٍ أَعْلَى',
	'عُذراً، يَبْدُو أَنَّ الضَّوْضَاءَ عالِيَةٌ فِي الخَلْفِيَّة، رَجَاءً انْتَقِلْ إِلَى بِيئَةٍ أَكْثَرُ هَدُوءًا',
	'عَذْرًا، نُوَاجِهُ الآنَ مَشْكِلَةً تَقْنِيَّةً، يَرْجَى الْمُحَاوَلَةُ مَرَّةً أُخْرَى لاحِقاً.',
	'عُذراً، نُوَاجِهُ الآنَ صَعُوبَاتٍ تَقْنِيَّةٍ، رَجَاءً حَاوِلْ مَرَّةً أُخْرَى لاحِقاً.',
	'هل هناك أي شيء آخر يمكننا المساعدة فيه',
	'شُكْرَاً لِاسْتِخْدَامِكَ  e-GPT مِن e-and'
	)

service_endpoint_pool_stt_english = [
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1',
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1',
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1' 
    ]

service_endpoint_pool_tts_english = [
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1',
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1',
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1'
    ]

service_endpoint_pool_stt_arabic = [
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1',
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1',
	'https://westus.stt.speech.microsoft.com/speech/recognition/interactive/cognitiveservices/v1' 
    ]

service_endpoint_pool_tts_arabic = [
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1',
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1',
	'https://westus.tts.speech.microsoft.com/cognitiveservices/v1'
    ]

service_endpoint_pool_openai = [
	'http://localhost:8085/query',
	'http://localhost:8085/query',
	'http://localhost:8085/query'
    ]

LangDescr = namedtuple('LangDescr',
    [
	'name',
	'code',
	'service_endpoint_pool_stt',
	'service_endpoint_pool_tts',
	'service_endpoint_pool_openai',
	'prompt_collection',
	'final_keyword',
	'switch_keyword',
	'switch_to'
    ])

dict = {}
dict['English'] = LangDescr(
	'English',
	'en-US',
	service_endpoint_pool_stt_english,
	service_endpoint_pool_tts_english,
	service_endpoint_pool_openai,
	prompt_collection_english,
	'no',
	'arabic',
	'Arabic')
dict['Arabic'] = LangDescr(
	'Arabic', 
	'ar-SA', 
	service_endpoint_pool_stt_arabic,
	service_endpoint_pool_tts_arabic,
	service_endpoint_pool_openai,
	prompt_collection_arabic,
	'لا',
	'الإنجليزية',
	'English')


#print(len(dict['English'].service_endpoint_pool_stt));