#!/usr/bin/python3
# webapp.py

#from functools import cached_property
import json, time
from http.server import BaseHTTPRequestHandler, HTTPServer
from http.cookies import SimpleCookie
from http.server import BaseHTTPRequestHandler
from urllib.parse import parse_qsl, urlparse

class WebRequestHandler(BaseHTTPRequestHandler):
    def url(self):
        return urlparse(self.path)

    def query_data(self):
        return dict(parse_qsl(self.url.query))

    def post_data(self):
        content_length = int(self.headers.get("Content-Length", 0))
        return self.rfile.read(content_length)

    def form_data(self):
        return dict(parse_qsl(self.post_data.decode("utf-8")))

    def cookies(self):
        return SimpleCookie(self.headers.get("Cookie"))

    def do_POST(self):
        self.send_response(200)
#        self.send_response(402)
        self.send_header("Content-Type", "application/json")
        self.end_headers()
        self.wfile.write(self.get_response().encode("utf-8"))

    def get_response(self):
#        time.sleep(20)
        return json.dumps(
            {
                'response': 'This is a sample response'
            }
        )

if __name__ == "__main__":
    server = HTTPServer(("0.0.0.0", 8085), WebRequestHandler)
    server.serve_forever()
